Use Internet Explorer 8 or Firefox 3.6 in ANGEL

|

ANGEL 7.3 works best with Internet Explorer 8 (IE 8) or Firefox 3.6. If you are using Internet Explorer 9, you may have problems with some tools in your class, such as the grade book, discussion forums, equation editor, video and audio drop boxes and even copy and paste.

We recommend using Internet Explorer 8, if possible. If you don’t know what browser version you are using or how to change to another version, these tutorials can help you:

If you must use Internet Explorer 9, you should turn on Compatibility Mode by following these directions: